<?php

//////////////////////////////////////////////////////////////
//===========================================================
// clone.php
//===========================================================
// SOFTACULOUS 
// Version : 4.2.8
// Inspired by the DESIRE to be the BEST OF ALL
// ----------------------------------------------------------
// Started by: Alons
// Date:       10th Jan 2009
// Time:       21:00 hrs
// Site:       http://www.softaculous.com/ (SOFTACULOUS)
// ----------------------------------------------------------
// Please Read the Terms of use at http://www.softaculous.com
// ----------------------------------------------------------
//===========================================================
// (c)Softaculous Inc.
//===========================================================
//////////////////////////////////////////////////////////////

if(!defined('SOFTACULOUS')){

	die('Hacking Attempt');

}

//The Install process
function __clone(){

global $__settings, $error, $software, $globals, $replace_data, $source_data;
	
	//Do we meet the Minimum software requirements
	__requirements();
	
	if(!empty($error)){
		return false;
	}

	sclone_replace($replace_data, $__settings['softpath'].'/config/config_db.php', true);
	
	$__settings['glpikey'] = srandstr(50);
	
	if(sfile_exists($source_data['softpath'].'/config/glpicrypt.key')){
		
		$file = sfile($__settings['softpath'].'/config/glpicrypt.key');
		$key = trim($file);
		$replace_data[$key] = $__settings['glpikey'];
		sclone_replace($replace_data, $__settings['softpath'].'/config/glpicrypt.key', true);
		
	}elseif(sfile_exists($source_data['softpath'].'/config/glpi.key')){
		
		$file = sfile($__settings['softpath'].'/config/glpi.key');
		$key = trim($file);
		$replace_data[$key] = $__settings['glpikey'];
		sclone_replace($replace_data, $__settings['softpath'].'/config/glpi.key', true);
		
	}
	
	$__settings['random_int'] = srandstr(40);
	$update = "UPDATE `glpi_configs` SET value='".$__settings['random_int']."' WHERE name='registration_uuid';";
	sdb_query($update, $__settings['softdbhost'], $__settings['softdbuser'], $__settings['softdbpass'], $__settings['softdb']);
	
	if(sfile_exists($__settings['softpath'].'/.htaccess')){
	
		// If the installation is on root domain we need to change the below relative URL
		if(is_dom_root($source_data['softpath'])){
			$replace_data['RewriteBase /'] = 'RewriteBase '.$__settings['relativeurl'].'/';
		}elseif(is_dom_root($__settings['softpath'])){
			$replace_data['RewriteBase '.$source_data['relativeurl'].'/'] = 'RewriteBase /';
		}
		
		sclone_replace($replace_data, $__settings['softpath'].'/.htaccess', true);		
	}
	schmod($__settings['softpath'].'/files/', $globals['odc']);
	schmod($__settings['softpath'].'/files/_dumps/', $globals['odc']);
	schmod($__settings['softpath'].'/files/_sessions/', $globals['odc'], 1);
	schmod($__settings['softpath'].'/files/_cron/', $globals['odc']);
	schmod($__settings['softpath'].'/files/_cache/', $globals['odc'], 1);
	schmod($__settings['softpath'].'/files/_graphs/', $globals['odc']);
	schmod($__settings['softpath'].'/files/_lock/', $globals['odc']);
	schmod($__settings['softpath'].'/files/_plugins/', $globals['odc']);
	schmod($__settings['softpath'].'/files/_tmp/', $globals['odc']);
	schmod($__settings['softpath'].'/files/_rss/', $globals['odc']);
	schmod($__settings['softpath'].'/files/_uploads/', $globals['odc']);
	schmod($__settings['softpath'].'/files/_pictures/', $globals['odc']);
	schmod($__settings['softpath'].'/files/_log/', $globals['odc'], 1);
}

//Check whether the Minimum Software configuration matches
function __requirements(){

global $__settings, $error, $software;
	
	return true;

}

?>